Debian Bug report logs - #656630
cciss-vol-status: Please ship monitoring script for periodic checks

Package: cciss-vol-status; Maintainer for cciss-vol-status is Christian Hofstaedtler <christian@hofstaedtler.name>; Source for cciss-vol-status is src:cciss-vol-status.

Reported by: Olivier Berger <olivier.berger@it-sudparis.eu>

Date: Fri, 20 Jan 2012 16:03:01 UTC

Severity: wishlist

Tags: patch, wontfix

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Hofstaedtler <christian@hofstaedtler.name>:
Bug#656630; Package cciss-vol-status. (Fri, 20 Jan 2012 16:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
New Bug report received and forwarded. Copy sent to Christian Hofstaedtler <christian@hofstaedtler.name>. (Fri, 20 Jan 2012 16:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cciss-vol-status: Please ship monitoring script for periodic checks
Date: Fri, 20 Jan 2012 17:00:41 +0100
Package: cciss-vol-status
Severity: wishlist

Hi.

It would be great to have a script such as the one proposed by Adam Cécile in its variant of the package.

See : http://hwraid.le-vert.net/debian/sources/cciss-vol-status_1.03-1.dsc for sources of its package.

Thanks in advance.

Best regards,

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (300, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.1.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hofstaedtler <christian@hofstaedtler.name>:
Bug#656630; Package cciss-vol-status. (Fri, 20 Jan 2012 17:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to Christian Hofstaedtler <christian@hofstaedtler.name>. (Fri, 20 Jan 2012 17:27:09 GMT) Full text and rfc822 format available.

Message #10 received at 656630@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 656630@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#656630: cciss-vol-status: Please ship monitoring script for periodic checks
Date: Fri, 20 Jan 2012 18:25:44 +0100
[Message part 1 (text/plain, inline)]
tags 656630 + patch
thanks
On Fri, Jan 20, 2012 at 05:00:41PM +0100, Olivier Berger wrote:
> 
> It would be great to have a script such as the one proposed by Adam Cécile in its variant of the package.
> 
> See : http://hwraid.le-vert.net/debian/sources/cciss-vol-status_1.03-1.dsc for sources of its package.
> 

I've slightly adapted the script to adjust it to the current path. Here's the result, which depends on the 'daemon' package.

Hope this helps.

Best regards,
-- 
Olivier BERGER 
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)

[cciss-vol-statusd (text/plain, attachment)]

Added tag(s) patch. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Fri, 20 Jan 2012 17:27:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hofstaedtler <christian@hofstaedtler.name>:
Bug#656630; Package cciss-vol-status. (Mon, 23 Jan 2012 13:48:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to Christian Hofstaedtler <christian@hofstaedtler.name>. (Mon, 23 Jan 2012 13:48:17 GMT) Full text and rfc822 format available.

Message #17 received at 656630@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: 656630@bugs.debian.org
Subject: Re: Bug#656630: cciss-vol-status: Please ship monitoring script for periodic checks
Date: Mon, 23 Jan 2012 14:45:57 +0100
Hi.

On Fri, Jan 20, 2012 at 06:25:44PM +0100, Olivier Berger wrote:
> On Fri, Jan 20, 2012 at 05:00:41PM +0100, Olivier Berger wrote:
> > 
> > It would be great to have a script such as the one proposed by Adam Cécile in its variant of the package.
> > 
> > See : http://hwraid.le-vert.net/debian/sources/cciss-vol-status_1.03-1.dsc for sources of its package.
> > 
> 
> I've slightly adapted the script to adjust it to the current path. Here's the result, which depends on the 'daemon' package.
> 

After putting it in production and testing a bit more, I checked that there's a problem with cciss_vol_status returning non-zero exit code in case of RAID problem (extraction of a disk for instance). At least in squeeze's version.

So I'd suggest the following change too.


$ diff cciss-vol-statusd.old cciss-vol-statusd
62c62
<             (cciss_vol_status $ID) > $STATUSFILE.new
---
>             (cciss_vol_status $ID) > $STATUSFILE.new || true

Hope this helps.

Best regards,

-- 
Olivier BERGER 
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hofstaedtler <christian@hofstaedtler.name>:
Bug#656630; Package cciss-vol-status. (Tue, 31 Jan 2012 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
Extra info received and forwarded to list. Copy sent to Christian Hofstaedtler <christian@hofstaedtler.name>. (Tue, 31 Jan 2012 14:24:03 GMT) Full text and rfc822 format available.

Message #22 received at 656630@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: 656630@bugs.debian.org
Subject: #656630: cciss-vol-status: Please ship monitoring script for periodic checks
Date: Tue, 31 Jan 2012 15:16:26 +0100
[Message part 1 (text/plain, inline)]
Hi guys,

Thanks for updating cciss-vol-status package. I also updated mine so 
here is a working init script.

Btw, I made some modifications to your original package, mostly to 
downgrade from dh8 to dh5, but some changes are needed to use this 
script so please check my own package:
http://hwraid.le-vert.net/debian/sources/cciss-vol-status_1.09-2hwraid1.dsc
[cciss-vol-status.cciss-vol-statusd.init (text/plain, attachment)]

Added tag(s) wontfix. Request was from Christian Hofstaedtler <christian@hofstaedtler.name> to control@bugs.debian.org. (Tue, 31 Jan 2012 14:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hofstaedtler <christian@hofstaedtler.name>:
Bug#656630; Package cciss-vol-status. (Tue, 31 Jan 2012 14:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
Extra info received and forwarded to list. Copy sent to Christian Hofstaedtler <christian@hofstaedtler.name>. (Tue, 31 Jan 2012 14:45:05 GMT) Full text and rfc822 format available.

Message #29 received at 656630@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: Christian Hofstaedtler <christian@hofstaedtler.name>
Cc: 656630@bugs.debian.org, 656630-submitter@bugs.debian.org
Subject: Re: Bug#656630: #656630: cciss-vol-status: Please ship monitoring script for periodic checks
Date: Tue, 31 Jan 2012 15:43:34 +0100
Le 31/01/2012 15:42, Christian Hofstaedtler a écrit :
> Thank you for the bug report, but I'll not include this in the
> official package. I'd recommend you to use an active checking tool,
> like Nagios or any of the others available in Debian.
>
> cciss_vol_status -p should fit nicely into Nagios' expectations.
>
>    -ch
>
As you want, I just wanted to send an update init script, to avoid 
having two different scripts if you wanted to merge it.

Adam.




Message sent on to Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug#656630. (Tue, 31 Jan 2012 14:54:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#656630; Package cciss-vol-status. (Tue, 31 Jan 2012 15:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Hofstaedtler <christian@hofstaedtler.name>:
Extra info received and forwarded to list. (Tue, 31 Jan 2012 15:06:05 GMT) Full text and rfc822 format available.

Message #37 received at 656630@bugs.debian.org (full text, mbox):

From: Christian Hofstaedtler <christian@hofstaedtler.name>
To: Adam Cécile (Le_Vert) <gandalf@le-vert.net>, 656630@bugs.debian.org, 656630-submitter@bugs.debian.org
Subject: Re: Bug#656630: #656630: cciss-vol-status: Please ship monitoring script for periodic checks
Date: Tue, 31 Jan 2012 15:42:21 +0100
Thank you for the bug report, but I'll not include this in the
official package. I'd recommend you to use an active checking tool,
like Nagios or any of the others available in Debian.

cciss_vol_status -p should fit nicely into Nagios' expectations.

  -ch





Message sent on to Olivier Berger <olivier.berger@it-sudparis.eu>:
Bug#656630. (Tue, 31 Jan 2012 15:06:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hofstaedtler <christian@hofstaedtler.name>:
Bug#656630; Package cciss-vol-status. (Tue, 31 Jan 2012 15:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olivier Berger <olivier.berger@it-sudparis.eu>:
Extra info received and forwarded to list. Copy sent to Christian Hofstaedtler <christian@hofstaedtler.name>. (Tue, 31 Jan 2012 15:30:08 GMT) Full text and rfc822 format available.

Message #45 received at 656630@bugs.debian.org (full text, mbox):

From: Olivier Berger <olivier.berger@it-sudparis.eu>
To: Christian Hofstaedtler <christian@hofstaedtler.name>
Cc: 656630@bugs.debian.org
Subject: Re: Bug#656630: #656630: cciss-vol-status: Please ship monitoring script for periodic checks
Date: Tue, 31 Jan 2012 16:26:50 +0100
On Tue, 31 Jan 2012 15:42:21 +0100, Christian Hofstaedtler <christian@hofstaedtler.name> wrote:
> Thank you for the bug report, but I'll not include this in the
> official package. I'd recommend you to use an active checking tool,
> like Nagios or any of the others available in Debian.

Well... wouldn't you even include it in the examples/ subdir of
/usr/share/doc/cciss-vol-status ?

Learning how to install and configure nagios if one just wants to get
alerts when RAID controller changes state is a bit overkill...

Anyway, as you see fit.

Maybe a pointer in the README.Debian to this proposed script could be
nice anyway, letting the user manage this on their own.

Best regards,
-- 
Olivier BERGER 
http://www-public.it-sudparis.eu/~berger_o/ - OpenPGP-Id: 2048R/5819D7E8
Ingenieur Recherche - Dept INF
Institut TELECOM, SudParis (http://www.it-sudparis.eu/), Evry (France)





Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:32:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.